List background commands

Preview. The background commands of the sandbox, the newest first, with no output. Read one for its output.

GET
/sandboxes/{sandbox_id}/commands

Authorization

headerAuthorizationBearer <token>

Your Munito API key.

Path Parameters

sandbox_id*string

The id of the sandbox.

Response Body

The background commands of the sandbox, the newest first, with no output.

application/json
  1. response
data*array<>
curl -X GET 'https://api.munito.ai/sandboxes/v1/sandboxes/string/commands'
Example Response
{
  "data": [
    {
      "id": "string",
      "command": [
        "string"
      ],
      "cwd": "string",
      "status": "running",
      "started_at": 0,
      "ended_at": 0,
      "exit_code": 0,
      "timed_out": false,
      "stdout": "",
      "stderr": "",
      "stdout_bytes": 0,
      "stderr_bytes": 0,
      "truncated": false
    }
  ]
}